- Qt 5.5
- Qt Quick Controls
- QML Types
- SwitchStyle QML Type
- Qt 5.5.1 Reference Documentation

# SwitchStyle QML Type

Provides custom styling for Switch More...

Import Statement: | import QtQuick.Controls.Styles 1.4
Since: | Qt 5.2

- List of all members, including inherited members

## Properties

- groove : Component
- handle : Component

## Detailed Description

Example:

    Switch {
        style: SwitchStyle {
            groove: Rectangle {
                    implicitWidth: 100
                    implicitHeight: 20
                    radius: 9
                    border.color: control.activeFocus ? "darkblue" : "gray"
                    border.width: 1
            }
        }
     }

## Property Documentation

groove : Component

This property holds the background groove of the switch.

handle : Component

This defines the switch handle.